from django.contrib.gis import admin
# from django.contrib.gis.maps.google import GoogleMap
from models import *

class PropertyAdmin(admin.OSMGeoAdmin):
    list_display = ('__unicode__', 'street_locality', 'tenure', 'ground_rent_due', 'laughton_no', 'area_sqm',)
    list_filter = ('stable',)
    search_fields = ('street_locality',)
    map_template = 'gis/admin/google.html'
    default_lon = 72.855211097628413
    default_lat = 19.415775291486027
    default_zoom = 4
    extra_js = ['http://openstreetmap.org/openlayers/OpenStreetMap.js', 'http://maps.google.com/maps?file=api&amp;v=2&amp;key=%s' % 'abcd']



admin.site.register(Property, PropertyAdmin)
admin.site.register(Stable)
